Saltar al contenido

List custom field value rows

Módulo Platform

GET/custom-field-valuescustomFieldValues.list

A custom field value for one row. Returns a cursor page of custom field value rows the caller may see. The default order is `created_at` ascending. Supports sparse fieldsets and the filter grammar.

  • Requiere la capacidad work.record.read.
  • Alcances de OAuth: work.
  • Paginación por cursor: se aplican limit, cursor, fields, sort y filter.
  • Estados de error: 400, 401, 429. Los errores son detalles de problema RFC 9457.

Parámetros de ruta y de consulta

customFieldValues.list: Parámetros de ruta y de consulta
CampoTipoObligatorioDescripción
limitLimitNoPage size. Default 50, maximum 200.Restricciones: range 1 to 200
cursorCursorNoOpaque cursor from `next_cursor` of the previous page.Restricciones: length 1 to any
fieldsFieldsNoSparse fieldset: a comma-separated list of top-level fields to return. `id` is always returned.Restricciones: pattern ^[a-z_][a-z0-9_]*(,[a-z_][a-z0-9_]*)*$
sortSortNoSort keys, comma-separated; a leading `-` sorts descending. Without `sort`, the documented default order applies (coded lists sort in numeric code order).Restricciones: pattern ^-?[a-z_][a-z0-9_]*(,-?[a-z_][a-z0-9_]*)*$
filterFilterNoFilter grammar `filter[field][op]=value`. Operators: eq, ne, lt, lte, gt, gte, in (comma-separated values), is_null (true or false) and contains. Conditions combine with AND.

Respuesta 200: una página de CustomFieldValue

customFieldValues.list: CustomFieldValue
CampoTipoObligatorioDescripción
idstring (uuid)SíIdentifier of the custom field value.
org_idstring (uuid)SíIdentifier of the owning organization, derived from the parent row and never accepted from the caller.
created_atstring (date-time)SíWhen the row was created.
created_bystring (uuid) | nullSíIdentifier of the person who created the row; null when a seed, platform or system process created it.
updated_atstring (date-time)SíWhen the row was last updated.
updated_bystring (uuid) | nullSíIdentifier of the person who last updated the row; null when a seed, platform or system process updated it.
custom_field_definition_idstring (uuid)SíIdentifier of the custom field definition.
value_textstring | number | boolean | nullSíTyped value.
target_idstring (uuid)SíIdentifier of the row of the field's target table the value belongs to.
value_numbernumber | nullSíNumber value.
value_money_minorinteger (int64) | nullSíMoney value in minor units of value_currency. Integer minor units of the resource currency; null means unpriced, never zero.
value_currencystring | nullSíISO 4217 currency of a money value.Restricciones: pattern ^[A-Z]{3}$
value_datestring (date) | nullSíDate value.
value_timestampstring (date-time) | nullSíTimestamp value.
value_booleanboolean | nullSíBoolean value.
value_choice_idstring (uuid) | nullSíIdentifier of the chosen option of the field.
value_person_idstring (uuid) | nullSíIdentifier of the person value.
{
  "data": [
    {
      "id": "0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f",
      "org_id": "0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f",
      "created_at": "2026-10-08T14:30:00Z",
      "created_by": "0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f",
      "updated_at": "2026-10-08T14:30:00Z",
      "updated_by": "0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f",
      "custom_field_definition_id": "0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f",
      "value_text": true,
      "target_id": "0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f",
      "value_number": 12.5,
      "value_money_minor": 250000,
      "value_currency": "USD",
      "value_date": "2026-10-08",
      "value_timestamp": "2026-10-08T14:30:00Z",
      "value_boolean": true,
      "value_choice_id": "0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f",
      "value_person_id": "0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f"
    }
  ],
  "next_cursor": null
}

Ejemplos de código

curl -X GET "$XOS_BASE_URL/custom-field-values" \
  -H "Authorization: Bearer $XOS_API_KEY"
for await (const row of xos.customFieldValues.listAll()) {
  console.log(row);
}
for row in xos.custom_field_values.list_all():
    print(row)
xos custom-field-values list --all